newObject(PlayChatMenu, ChatMenu, "Root Menu:");
newObject(CommandChatMenu, ChatMenu, "Command Menu");

function setPlayChatMenu(%heading)
{
   $curPlayChatMenu = %heading;
}

function setCommanderChatMenu(%heading)
{
   $curCommanderChatMenu = %heading;
}

function addPlayTeamChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 1, %msg);
}

function addPlayChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 0, %msg);
}

function addPlayAnim(%text, %anim, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, messageAndAnimate, %anim, %sound);
}

function addLocal(%text, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, localMessage, %sound);
}

function addPlayCMDResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curPlayChatMenu != "")
      %text = $curPlayChatMenu @ "\\" @ %text;
   addCMCommand(PlayChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}

function addCommandResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}


function addContextCommand(%text, %type)
{
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, contextCommand, %type);
}

function addCommand(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, setIssueCommand, %action, %msg);
}

// Player Chat menu

setPlayChatMenu("vOffense");
		addPlayTeamChat("aAttack!","Attack!", attack);
		addPlayTeamChat("wWait for signal", "Wait for my signal to attack.", waitsig);
		addPlayTeamChat("cCease fire", "Cease fire!", cease);
		addPlayTeamChat("mMove out", "Move out.", moveout);
		addPlayTeamChat("rRetreat", "Retreat!", retreat);
		addPlayTeamChat("hHit deck", "Hit the deck!", hitdeck);
		addPlayTeamChat("eRegroup", "Regroup.", regroup);
		addPlayTeamChat("vCover me", "Cover me!", coverme);
		addPlayTeamChat("gGoing offense", "Going offense.", ono);
		addPlayTeamChat("zAPC ready", "APC ready to go... waiting for passengers.", waitpas);
		addPlayTeamChat("oAttack Objective!","Attack Objective!", attobj);

setPlayChatMenu("tTarget");
		addPlayTeamChat("aTarget acquired", "Target Acquired", tgtacq);
		addPlayTeamChat("fFire on my target", "Fire on my target", firetgt);
		addPlayTeamChat("nTarget needed", "I need a target.", needtgt);
		addPlayTeamChat("oTarget out of range", "Target out of range.", tgtout);
		addPlayTeamChat("dDestroy Enemy Generator", "Destroy the enemy genarator.", desgen);
		addPlayTeamChat("eEnemy Generator Destroyed", "Enemy generator destroyed.", gendes);
		addPlayTeamChat("tDestroy Enemy Turret", "Destroy enemy turret.", destur);
		addPlayTeamChat("sEnemy Turret Destroyed", "Enemy turret destroyed.", turdes);

setPlayChatMenu("bBombs");
		addPlayChat("oAccident", "I didn't mean to, realy!",none );
		addPlayChat("iLost the bomb", "I lost the bomb, do you have it?",none );
		addPlayChat("sGonna Smart", "That's gonna smart!",none );
		addPlayChat("hHate it", "Don't ya hate it when that happens?",none );
		addPlayChat("tTechy", "I am a certified bomb technician, if you see me running, try to keep up",none );
		addPlayChat("aBlew you up", "Sorry, did I explodicate you again?",none );
		addPlayChat("dDet Pack coming", "Det pack coming through!", outway);
		addPlayChat("1nuke1", "Would you mind not shooting at the thermonuclear weapons?", broken01);
		addPlayChat("2nuke2", "I don't know what's scarier, losing nuclear weapons, or that it happens so often there's actually a term for it.", broken03);
		addPlayChat("3nuke3", "You just activated a nuclear warhead, my friend.", broken06);
                addplaychat("4nuke4", "Harry, the clock on that nine foot nuclear weapon is ticking!", armag47);
		addPlayChat("5Pu-36", "Oh goody! My Illudium Pu-36 explosive space modulator!", marvin01);
		addPlayChat("6ka-boom", "Where's the ka-boom? There was supposed to be an Earth-shattering ka-boom!", marvin03);
		addPlayChat("7Pu-36-2", "The Illudium Pu-36 explosive space modulator! That creature has stolen the space modulator!", marvin10);



setPlayChatMenu("dDefense");
		addPlayTeamChat("iIncoming Enemies", "Incoming chems!", incom2);
		addPlayTeamChat("aAttacked", "We are being attacked.", basatt);
		addPlayTeamChat("eEnemy is attacking base", "The enemy is attacking our base.", basundr);
		addPlayTeamChat("nNeed more defense", "We need more defense.Put up the Base Cloak", needdef);
		addPlayTeamChat("bDefend our base", "Defend our base.", defbase);
		addPlayTeamChat("dDefending base", "Defending our base.", defend);
		addPlayTeamChat("tBase Taken", "Base is taken.", basetkn);
		addPlayTeamChat("cBase Clear", "Base is secured.", bsclr2);
		addPlayTeamChat("qIs Base Clear?", "Is our base clear?", isbsclr);
		addPlayTeamChat("1you rang?", "you rang?", you_rang);

setPlayChatMenu("fFlag");
		addPlayTeamChat("gFlag gone", "Our flag is not in the base!", flgtkn1);
		addPlayTeamChat("eEnemy has flag", "The enemy has our flag!", flgtkm2);
		addPlayTeamChat("hHave enemy flag", "I have the enemy flag.", haveflg);
		addPlayTeamChat("sFlag secure", "Our flag is secure.", flaghm);
		addPlayTeamChat("rReturn our flag", "Return our flag to base.", retflag);
		addPlayTeamChat("fGet enemy flag", "Get the enemy flag.", geteflg);
		addPlayTeamChat("mFlag mined", "Our flag is mined.", flgmine);
		addPlayTeamChat("cClear mines", "Clear the mines from our flag.", clrflg);
		addPlayTeamChat("dMines cleared", "Mines have been cleared.", mineclr);

setPlayChatMenu("nNeed");
		addPlayTeamChat("rNeed Repairs", "Need repairs.", needrep);
		addPlayTeamChat("aNeed APC Pickup", "I need an APC pickup.", needpku);
		addPlayTeamChat("eNeed Escort", "I need an escort back to base.", needesc);
		addPlayTeamChat("tNeed Ammo", "Can anyone bring me some ammo? we need more inventories", needamo);
		addPlayTeamChat("iNeed inventory", "Need Inventory.", depinven);

setPlayChatMenu("eTeam");
		addPlayTeamChat("wWatch Shooting", "Watch where your shooting!", wshoot3);
		addPlayTeamChat("dDont know", "I don't know.", dontkno);
		addPlayTeamChat("nNo", "No.", no);
		addPlayTeamChat("yYes", "Yes.", yes);
		addPlayTeamChat("tThanks", "Thanks I needed that.", thanks);
		addPlayTeamChat("aNo Problem", "No Problem.", noprob);
		addPlayTeamChat("sSorry", "Sorry.", sorry);
		addLocal("hHurry station", hurystn);

setPlayChatMenu("gGlobal");
		addPlayChat("zDoh", "Doh!", oops1);
		addPlayChat("oOops", "Oops!", oops2);
		addPlayChat("sShazbot", "Shazbot!", color2);
		addPlayChat("qDamnit", "Damnit!", color6);
		addPlayChat("cCrap", "Ah Crap!", color7);
		addPlayChat("eDuh", "Duh.", dsgst1);
		addPlayChat("xYou Idiot", "You Idiot!", dsgst2);
		addPlayChat("yYoohoo!", "Yoohoo!", cheer2);
                addPlayChat("hHi", "HEY!", hello);
                addPlayChat("bBye", "BYE!", bye);
                addPlayChat("1Yes", "yes!", yes);
                addPlayChat("2No", "No!", no);
                addPlayChat("tThanx", "Thanx!", Thanks);
                addPlayChat("nNo prob", "No problem!", noprob);
                addPlayChat("3Sorry", "Sorry!", sorry);
                addPlayChat("4pie", "Last in Line for a Nobel Peace Prize: First in line for Pie", sorry);
                addPlayChat("5compute", "that does not compute!", compute);
                addPlayChat("6be back", "ill be back!", beback);
                addPlayChat("7 bridgekeeper", "STOP, what is your name!", bridgekeeper);
                addPlayChat("8 awful", "aint it awefull!", bunny_awful);
                addPlayChat("9creep", "your move creep!", creep);
                addPlayChat("0excuse", "excuseeeee meeee!", excuse_me);


setPlayChatMenu("aAnimations");
		addPlayAnim("oOver here", 0, ovrhere);
		addPlayAnim("dMove out of way", 1, outway);
		addPlayAnim("rRetreat", 2, retreat);
		addPlayAnim("sStop", 3, dsgst4);
		addPlayAnim("fSalute", 4, yes);
		addPlayAnim("zKneel Pose", 10);
		addPlayAnim("xStand Pose", 11);
		addPlayAnim("qCelebrate 1", 5, cheer1);
		addPlayAnim("eCelebrate 2", 6, cheer2);
		addPlayAnim("wCelebrate 3", 7, cheer3);
		addPlayAnim("vTaunt 1 - how'd that feel?", 8, taunt10);
		addPlayAnim("gTaunt 2 - Come get some", 9, taunt4);
		addPlayAnim("hWave - Hi", 12, hello);
		addPlayAnim("bWave - Bye", 12, bye);


setPlayChatMenu("zCommand Response");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
	addPlayCMDResponse("zCompleted", 0, "Objective complete", "objcomp");
	addPlayCMDResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");
	addPlayCMDResponse("1gameover", 1, "thats it game over man", "gameover");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");

setPlayChatMenu("cRe- Revolution Evolved");
                addPlayChat("wWebsite", "Visit our website at www.revolutionevolved.com", voyborg2);
                addPlayChat("1Hi Re-", "Hi fellow Re- member!", hello);
                addPlayChat("2Bye Re-", "Bye fellow Re- members!", discexit);
                addPlayChat("3HECATOMB!", "HECATOMB!!!! Sacrifice or slaughter many victims!", daytodie);
                addPlayChat("4Website joining", "Visit our website at www.revolutionevolved.com READ FAQs on member guidelines and joining Re-", ecxdrone);
                addPlayChat("5Website rules", "Visit our website at www.revolutionevolved.com READ FAQs on SERVER RULES", none);
                addPlayChat("6curtain", "Pay no attention to that man behind the curtain!", wizard03);
                addPlayChat("7lions", "Lions and Tigers and Bears oh my!!!", wizard05);
                addPlayChat("8brain", "What would you do with a Brain if you had ONE!", wizard06);
                addPlayChat("9put up", "put em up put em up!!!!", wizard08);
                addPlayChat("0Oh-ee-oh", "Oh-ee-oh", wizard17);
                addPlayChat("pwitch", "Ding dong, the witch is dead", wizard07);
                addPlayChat("vgoodmorning", "GOOD MORNING Revolution Evolved", good_morning_vietnam);
                addPlayChat("bouttahere", "cant do any more damage", outta_here);
                addPlayChat("ppirates", "yohoooooo", pirates);
                
setPlayChatMenu("1Re-Borg");
	addPlayChat("1Escort 001", "You will disarm all your weapons and escort us to your Flag, where we will begin assassinating your culture and using your technology.", disarm);
	addPlayChat("2Human Death", "Warrior, sever spinal cord 3rd vertibrae, death is immediate.", killhumn);
	addPlayChat("3Klingon Death", "Titan, shatter cranial exoskeleton at tricipital lobe, death is immediate.", killklin);
	addPlayChat("4Do Not Assimilate", "We do not assassinate inferior biological organisms... We destroy them.", inflife);
	addPlayChat("5Capabilities", "We have analyzed your defensive capabilities as being unable to withstand us. If you defend yourselves you will assassinated.", borg1st);
	addPlayChat("6Preparation", "Preparation is irrelevant.", prepir);
	addPlayChat("7Surrender", "You must unconditionally surrender.", surren);
	addPlayChat("8Existance Is Over", "We are the Revolution Evolved. Existance as you know it is over, we will add your biological and technological distinctiveness to our own.", voyborg1);
	addPlayChat("9Life Is Over", "Your life as it has been... is over.", locutus);
	addPlayChat("0Resistance Is Futile", "We are the Revolution Evolved. You will be assassinated, resistance is futile.", voyborg2);
	addPlayChat("aAdapt", "Your culture will adapt to service ours or you will be assassinated.", service);
	addPlayChat("bAbduction", "you under estimate us if you believe this abduction is any concern", underest);
                 	addPlayChat("cabort", "please abort try again", abort);

setPlayChatMenu("2Re-enterprise");
		addPlayChat("gGreetings", "Greetings.", greeting);
		addPlayTeamChat("bBeing Boarded", "Captain, we are being boarded", beboard);
		addPlayChat("1Request Denied", "I understand your concern... request denied", reqden);
		addPlayChat("2Ornathoid", "I could be chasing an untamed ornathoid without cause...: A wild goose chase?", wildgoos);
		addPlayChat("3Conquer", "The Revolution Evolved do not evolve, they conquer. By assassinating other beings, we are bringing them closer to perfection", closperf);
		addPlayChat("4Delusional Mind", "Believing oneself to be perfect is often the sign of a delusional mind.", delmind);
		addPlayChat("5Futile", "Resistance is futile!", resfutl);
		addPlayChat("6Damage report","Damage report", damrep);
		addPlayChat("7Excellent Drone", "He will make an excellent drone", ecxdrone);
		addPlayChat("8Make Them Pay", "I.. will make YOU PAY for what you've done!", makepay);
		addPlayChat("9Battle Stations", "Red Alert. All hands to battle stations... Engage!", battstat);
		addPlayChat("0Assimilation Exagerated", "Reports of my assassination are greatly exagerated.", assimex);
		addPlayTeamChat("1Aggresive Tendencies", "Definitely feeling aggresive tendencies ! I'm going to Kill them ALL!!!!!!", aggrtend);
		addPlayChat("aAssimilate This", "Assassinate this!", assthis);
		addPlayChat("rRamming Speed", "Prepare for ramming speed!", prepram);
		addPlayChat("dDay To Die", "Perhaps today is a good day to die! But its a better day to assassinate them all!", daytodie);
		addPlayChat("kKill You", "If you were any other man I would kill you where you stand! Blam Blam Die anyway!!!!!", killstnd);

setPlayChatMenu("3Re-Misc");
		addPlayTeamChat("wWolf 359", "We're moving to intercept at Wolf 3-5-9. We'll make our stand there.", wolf359);
		addPlayChat("aScream", "AhhhhhHHHHHHHHhhh", rscream);
		addPlayChat("cCommunication", "Your primitive communication is inefficient", primcomm);
                addPlayChat("eI Keep This Handy", "I like to keep this handy for close encounters.", shotgun);
                addPlayChat("m My Friend", "I want to introduce you to a personal friend of mine.", shtgun2);
                addPlayChat("iWe've got guns!", "We got smart missiles, plasma pulse rifles, rpg's, we got sonic electronic ball-breakers!", guns);               
                addPlayTeamChat("1They Cut the Power", "They cut the power!", ripcut);
                addPlayTeamChat("2How Can They Cut the Power?", "What do you mean they cut the power? How could they cut the power man, they're animals.", cutpowr);
                addPlayTeamChat("3They Found a Way", "They found a way in, something we missed.", wayin);
                addPlayTeamChat("4Other Ways In", "They're probably looking for other ways to get in. That will take them a while.", otherin);
                addPlayTeamChat("5Waste Him", "Alright, we waste him. No offense.", wasthim);
                addPlayTeamChat("6Alright, I'm In", "Alright, I'm in.", alright);
                addPlayTeamChat("7Settle Down", "Come on, settle down people!", settle);
                addPlayTeamChat("8There They Go", "There they go over there, get em!", theygo);
	        addPlayChat("9biggr", "and you probaly want to get bigger guns!", biggr);
        	addPlayChat("0MILES", "its 106 miles to chicago.", blueshitit);
	        addPlayChat("uDealwithit", "The Universe hates you! Deal with it!", deal);
	        addPlayChat("fFallen!", "HELP! ive fallen and cant get up!", fallen);
	        addPlayChat("gAgf", "artificial gravity field dont it just suck!", agsuk);
	        addPlayChat("dDamagereport!", "Engineering damage report!", damagereport);

setPlayChatMenu("4Re-Taunts");
                addPlayChat("1Stand still", "Just stand still, I'm going to get you eventually any way.", aggrtend);
                addPlayChat("2Groucho Marx", "He may look stupid, and talk stupid, and act stupid, but don't let that fool you. He is stupid.", dsgst2);
                addPlayChat("3REVENGE", "REVENGE is a dish best served cold, unless you happen to be using a flamer!", revenge);
                addPlayChat("4I came, I saw...", "I came, I saw, I blew you up!", cheer2);
                addPlayChat("5Yes you killed me, by why...", "Yes you killed me, but why are you lying there twitching?", assimex);
                addPlayChat("6Forgot to duck, didn't you", "OOPS!! Forgot to duck DIDN'T you?", Oops2);
                addPlayChat("7Don't make a move...", "Don't make a move or the bunny gets it!", none);
                addPlayChat("8Knew Timmy", "UH OH! We need a new Timmy!!", regroup);
                addPlayChat("9BLEED?", "BLEED? I don't have time to BLEED!", battstat);
                addPlayChat("0So many pieces", "So so so so many pieces! AAAARRRGGG!!!", rscream);
                addPlayChat("aLet's Get Dangerous", "LET'S GET DANGEROUS, or at least very dead!", daytodie);
        	addPlayChat("bHuntingwabbits!", "be wery wery quiet!", wabbits);
	        addPlayChat("cHoustion!", "Houston we have a problem!", housprob);
	        addPlayChat("dGod!", "WE are on a mission from GOD!", misongod);
	        addPlayChat("eminemine!", "its mine you understand all mine mineminemine!", minemine);
	        addPlayChat("fmisst!", "missed it by that much ><!", misst);
	        addPlayChat("gsaveday!", "HERE I COMEEE TO SAVE THE DAY!!!!!!!!", saveday);
	        addPlayChat("hsoap!", "these questions and many others will be answered on the next episode of ....SOAP!", soap);
	        addPlayChat("itwilightzone!", "twilightzone!", twilightzone);
	        addPlayChat("junderdog!", "THERES NO NEED TO FEAR UNDERDOG IS HERE!", underdog);

setPlayChatMenu("5Re-Taunts2");
		addPlaychat("1accepted", "apology accepted", accepted);
		addPlayChat("2ape", "TAKE YOUR STINKING PAWS OFF ME YOU $@^* DIRTY APE", ape);
		addPlayChat("3autodef", "AUTOMATIC DEFENCE PROCEDURES INITIATED", autodef);
		addPlayChat("4bhthis", "WHAT HAVE I DONE TO DESERVE THIS!!", bhthis);
		addPlayChat("5botherme", "go away boy you bother me", botherme);
		addPlaychat("6detonate", "to let you learn by experience that i do not tolerate interference,i will now detonate the nuclear warhead", detonate);
		addPlaychat("7commu", "WHAT WE GOT HERE IS FAILURE TO COMMUNICATE", commu);
		addPlaychat("8cylon", "scan for identification", cylon);
		addPlaychat("9danced", "TELL ME SOMETHING MY FRIEND, Ever dance with the devil in the pale moonlight?", danced);
		addPlayChat("0dang", "DANGER WILL ROBINSON DANGER!!!", dangw);
		addPlayChat("adespc", "YOUR DISPICABLE", despc);
		addPlayChat("bdvlsclvr", "DEVILISHLY CLEVER", dvlsclvr);
		addPlayChat("cfigment", "i am just a figment of your imagination", figment);
		addPlayChat("dparental", "DO SOME VIOLENT CONTENT PARENTAL DISCRESSION IS ADVISED", parental);
		addPlayChat("eyousayyes", "when someone asks if your a god you say YES!!!!!!", yousayyes);
		addPlayChat("fweakest link", "you are the weakest link!!!!!!", weakest_link);



setPlayChatMenu("6Re-Global Matrix Sounds");
	addPlayChat("aAm I dead?", "Am I dead?", amidead);
	addPlayChat("sStop trying to hit me and hit me!", "Stop trying to hit me and hit me!", stoptry);
	addPlayChat("dDodge this!", "Dodge this!", dodge);
	addPlayChat("hHit me, if you can.", "Hit me, if you can.", canhitme);
	addPlayChat("uHow did I beat you?", "How did I beat you?", howbeat);
	addPlayChat("fI know Kung Fu.", "I know Kung Fu.", kungfu);
	addPlayChat("wMr. Wizard, get me the hell out of here!", "Mr. Wizard, get me the hell out of here!", mrwizard);
	addPlayChat("lNo Lt. your men are already dead.", "No Lt. your men are already dead.", alldead);
	addPlayChat("nNo...I don't beleve it.", "No...I don't beleve it.", nobeleve);
	addPlayChat("yWhy oh why didn't I take the BLUE pill.", "Why oh why didn't I take the BLUE pill.", bluepill);
	addPlayChat("tYou're too fast.", "You're too fast.", toofast);
	addPlayChat("1She got out.", "She got out.", gotout);
	addPlayChat("3There is no spoon.", "There is no spoon.", nospoon);
	addPlayChat("4They're not out yet.", "They're not out yet.", notout);
	addPlayChat("5We're in.", "We're in.", wein);
	addPlayChat("6What are you trying to tell me...", "What are you trying to tell me? That I can dodge bullets?", bullets);

setPlayChatMenu("7Re-Global Misc Sounds");

	addPlayChat("hHooahh!", "Hooahh!", hoohaa);
	addPlayChat("nNo soup for you!", "No soup for you!", nosoup);
	addPlayChat("cKeep me covered...", "Keep me covered. What with? Just...keep me covered.", covered);
	addPlayChat("eWhat an ecentric performance.", "What an ecentric performance.", ecentric);
	addPlayChat("fWe'd better not risk another frontal assault.", "We'd better not risk another frontal assault, that rabbits' dynamite.", frontal);
	addPlayChat("gOh Lord...bless this thy hand grenade...", "Oh Lord, bless this thy handgrenade, that with it thou mayst blow thine enemies to tiny bits, in thy mercy", grenade);
	addPlayChat("dAlright, we'll call it a draw.", "Allright, we'll call it a draw.", itsadraw);
	addPlayChat("1Oh I see, running away.", "Oh I see, running away eh?", ohisee);
	addPlayChat("2I warned you but did you listen...", "I warned you, but did you listen to me? Ohh, no, you, no, it's just a harmless little bunny, isn't it?", warned);
	addPlayChat("3This calls for immediate discussion!", "This calls for immediate discussion!", discuss);
	addPlayChat("4Suiside squad, attack!", "Suiside squad, attack!", squad);
	addPlayChat("5this is a complete waste of time!", "This is a complete waste of time!", waste);
	addPlayChat("6Albatros!", "Albatros!", albatros);
	addPlayChat("7So I'd like to leave sir...", "So I'd like to leave sir before I get killed please.", getkilled);
	addPlayChat("8I'd like to leave the army please sir...", "I'd like to leave the army please sir. Good heavins man why? It's dangerous!", leavarmy);
	addPlayChat("9How not to be seen.", "How not to be seen...", notseen);
	addPlayChat("0Mr. Nezbit has learned the first lesson of not beeing seen...", "Mr. Nezbit has learned the first lesson ov not beeing seen, not to stand up, however he has chosen a very obvious piece of cover.", obvcover);
	addPlayChat("lLiveforever!", "speak for yourself, I plan on living forever!", liveforeverriker);
	addPlayChat("sOpenseseme!", "open says me!", opensesemedata);
	addPlayChat("aActivation", "activation begins on command authorization!", activat);

setPlayChatMenu("8Re-Monty Python - Quick Taunts");
                addPlayChat("1Big Nose", "Big Nose", bignose);
                addPlayChat("2Bloody Peasant", "Bloody Peasant", bldy);
                addPlayChat("3Bleed on Me", "What are you gonna do...Bleed on Me", bleedon);
                addPlayChat("4Looney", "Your a Looney", looney);
                addPlayChat("5Shut-Up 1", "Shut-Up", shutup);
                addPlayChat("6Sod", "You silly Sod", sod);
                addPlayChat("7Weirdo", "Weirdo", weirdo);
                addPlayChat("8Bite", "I'll bite your legs off", bite);
                addPlayChat("9Be Quiet 2", "Be Quiet", bequie2);
                addPlayChat("0Ni", "Ni", ni);
                addPlayChat("nNone Shall Pass", "None Shall Pass", nonepa);
                addPlayChat("eExcentric Performance", "What and excentric perfornace", ecentri);
                addPlayChat("wWe Interupt", "We interupt this program to annoy you and make things generally irritating for you", annoy);
                addPlayChat("bBring ot your Dead", "*DING* Bring out your dead *Cough Cough* Bring out your Dead", bring);
                addPlayChat("dDeath Awaits You", "Death awaits you all with nasty big pointy teeth", deathaw);
                addPlayChat("gGawk", "Don't stand there gawking like you've never seen the hand of god before", gawk);
                addPlayChat("uInvincible", "I'am Invincible", inv);
                addPlayChat("tTaunt", "Now go away or i shall taunt you a second time", taunt);
                
setPlayChatMenu("9Re-Monty Python - Misc. 1");
                addPlayChat("1Aquatict", "Supreme executive power derives from a mandate from the masses not some farcicle aquatic cerimony", aqu);
                addPlayChat("2ARGH", "AArrrGGHHHH", argh);
                addPlayChat("3Biscuits", "All right all right we'll kill it first then have tea and biscuits", biscuit);
                addPlayChat("4Cheese", "I want to buy soom CHEESE", buyche);
                addPlayChat("5Commune", "We're an anarcosingiculst commune", commune);
                addPlayChat("6Icky", "Icky Icky Icky Icky con ruporntrounnndded", icky);
                addPlayChat("7Pichie", "Pichie lavache, Que, Pichie lavache *MMMOOOOO*", lavache);
                addPlayChat("8Violence", "Now we see the violence inherant in the system", violen);
                addPlayChat("9Kill", "Lets not argue about who killed who", whokill);

setPlayChatMenu("0Re-Misc Team Messages");
		addPlayTeamChat("1Order", "I order you to be quiet...", iord);
		addPlayTeamChat("2Order 2", "Order eh? Who does he think he is", order);
		addPlayTeamChat("3Repressed", "HELP! Help! i am being repressed", represd);
		addPlayTeamChat("4Runaway", "Runaway...Runaway...Runaway", runaway);
		addPlayTeamChat("5Waste of Time", "This is a complete waste of time", waste);    
                addPlayChat("6I Keep This Handy", "I like to keep this handy for close encounters.", shotgun);
                addPlayChat("7My Friend", "I want to introduce you to a personal friend of mine.", shtgun2);
                addPlayChat("8We've got guns!", "We got smart missiles, plasma pulse rifles, rpg's, we got sonic electronic ball-breakers!", guns);               
                addPlayTeamChat("9They Cut the Power", "They cut the power!", ripcut);
                addPlayTeamChat("0How Can They Cut the Power?", "What do you mean they cut the power? How could they cut the power man, they're animals.", cutpowr);
                addPlayTeamChat("tThey Found a Way", "They found a way in, something we missed.", wayin);
                addPlayTeamChat("dOther Ways In", "They're probably looking for other ways to get in. That will take them a while.", otherin);
                addPlayTeamChat("hWaste Him", "Alright, we waste him. No offense.", wasthim);
                addPlayTeamChat("iAlright, I'm In", "Alright, I'm in.", alright);
                addPlayTeamChat("fSettle Down", "Come on, settle down people!", settle);
                addPlayTeamChat("gThere They Go", "There they go over there, get em!", theygo);
                addPlayTeamChat("hwelcome party", "welcome to the party PAL:!", wlcmprty);

setPlayChatMenu("lRe-army of darkness");
		addPlayChat("1badash", "Im bad ash and your good ash, goodie little too shoes", Bad_ash);
		addPlayChat("2bonehead", "buckle up bonehead for your going for a ride", bonehead);
		addPlayChat("3boomstik", "see this? this is my BOOM STICK Smarts top of the line", boomstik);
		addPlayChat("4braggart", "are all me from the future loud mouthed braggarts? nope just me baby", braggart);
		addPlayChat("5comepoppa", "come to poppa", Comepoppa);
		addPlayChat("6damnwrds", " i got it I got it, i know your damn words alright", damnwrds);
		addPlayChat("7Get_axe", "its a trick get a AX", Get_axe);
		addPlayChat("8Get_some", "ILL SWALLOW YOUR SOUL!!!!! COME GET SOME", Get_some);
		addPlayChat("9Goodbadg", "good? bad? im the guy with the gun!", Goodbadg);
		addPlayChat("0Gotahurt", "	ohhhh thats got a hurt", Gotahurt);
		addPlayChat("aGroovy", "Groovy", Groovy);
		addPlayChat("bGum_ears", "get the gum out of your ears and listen up", Gum_ears);
		addPlayChat("cHailking", "Hail to the king baby", Hailking);
		addPlayChat("dHey_baby", "Heyyyyyyy ba-by", Hey_baby);
		addPlayChat("eHomemama", "go ahead and run. run home and cry to momma", Homemama);
		addPlayChat("fHsewares", "Names ash.....Housewares", Hsewares);


setPlayChatMenu("mRe-army of darkness2");
		addPlayChat("1klatu1", "klatu verada nicto", klatu1);
		addPlayChat("2klatu2", "klatu verada nict*^$%##@@", klatu2);
		addPlayChat("3Leavestr", "lady im afraid im going to have to ask you to leave the store", Leavestr);
		addPlayChat("4Live_agn", "I... LIVE.... AGAIN", Live_agn);
		addPlayChat("5ramspeed", "RAMMING SPEED!!!!!", ramspeed);
		addPlayChat("6sckrspnch", "i dont like being.... SUCKER PUNCHEDDDD", sckrpnch);
		addPlayChat("7showlace", "you know your shoelace is untied", shoelace);
		addPlayChat("8snd_jerk", "you sound like a jerk", snd_jerk);
		addPlayChat("9Sugar_ba", "give me some sugar baby", Sugar_ba);
		addPlayChat("0Thats_it", "OK THEN...... THATS IT", Thats_it);


setPlayChatMenu("pRe-misc2");
		addPlayTeamChat("1wait", "Wait'll they get a load o' me!", batman03);
		addPlayChat("2fortune", "fortune smiles, another day of wine and roses", batman02);
		addPlayChat("3IMPULSE", "has anybody ever told you. YOU HAVE A SERIOUS IMPULSE CONTROL PROBLEM!!!", BATMAN10);
		addPlayChat("4battleship", "YOU SUNK MY BATTLESHIP", BATMAN18);
		addPlayChat("5work well", "He does not work well with others", beetle07);
		addPlayChat("6beetle", "beetlejuice closing song", beetle18);
		addPlayChat("7play game", "Shall we play a game?", wargames03);
		addPlayTeamChat("8defcon-1", "Flush the bombers...get the subs in launch mode...we are at DEFCON-1!", wargames06);
		addPlayChat("9defense sucks", "After very careful consideration, sir, I've come to the conclusion that your new defense system sucks!", wargames08);
		addPlayChat("0strange game", "Strange game...the only winning move is not to play. ", wargames09);
		addPlayChat("abunny box", "I SAID! put the bunny back in the box", conair10);
		addPlayTeamChat("bwar", "WE ARE GOING TO WAR", judge03);
		addPlayChat("claw", "I AM THE LAW", judge05);
		addPlayTeamChat("dstarfighter", "Greetings, starfighter! You have been recruited by the star league to defend the frontier against Xur and the Kodan armada!", last02);


setPlayChatMenu("oRe-misc3");
		addPlayChat("1pimple", "Little pimple, meet me behind the Luxembourg at one o'clock, and bring a long wooden box", three06);
		addPlayChat("2resist", "Now don't be so stupid, of course we intend to resist! Just give us a moment, all right?", three12);
		addPlayChat("3now resist", "Now, we are prepared to resist you!", three13);
		addPlayChat("4arrogant", "You, boy, are arrogant, hot-tempered, and entirely too bold. I like that, reminds me of me!", three15);
		addPlayTeamChat("5save king", "Come, D'Artagnan! We're saving the King!", three24);
		addPlayTeamChat("6dead or alive", "One thousand gold pieces on each of their heads, dead or alive! (pause) I'd prefer, DEAD!", three20);
		addPlayChat("7Colt", "GOD created all men, Sam Colt made the equal", quig09);
		addPlayChat("8bleeding rug", "GET HIM OUT OF HERE, HE'S BLEEDING ALL OVER THE RUG!", quig17);
		addPlayChat("9join us", "Join us or DIE", robin01);
		addPlayChat("0cancel xmas", "Cancel the kitchen scraps for lepers and orphans, no more merciful beheadings, and call off Christmas!", robin09);
		addPlayChat("asissy gun", "You want to die with a man's gun, not a little sissy gun like this!", amigo1);
		addPlayChat("wheee", "Wheee yaaa, yaaa, ha ha ha!", amigo2);
		addPlayChat("bfigment", "I'M just a figment of your imagination", mib02);
		addPlayChat("ccricket", "You get a series four de-atomizer, I get a little midget cricket?", mib15);
		addPlayChat("dkill you", "Let this be a learning experience, gentlemen, if you resist we will kill you and the man next to you, now move out of here in a orderly fashion!", under07);
		addPlayChat("esave world", "The United States government just asked us to save the world. Anybody wanna say no?", armag19);
		addPlayChat("fpotato gun", "We spend two hundred and fifty billion dollars a year on defense, and here we are, the fate of the planet is in the hands of a bunch of retards I wouldn't trust with a potato gun!", armag21);
		addPlayChat("gbrainpans", "Look, you wanna compare brain pans? ", armag24);
		addPlayChat("hsnarl", "vvelocoraptor snarl", jurass23);
		addPlayChat("itake away", "there coming to take me away.........", misc09);
		addPlayChat("jnapalm", "I LOVE THE SMELL OF NAPALM IN THE MORNING", misc14);
		addPlayChat("kbear", "A wiser fellow than myself once said, sometimes you eat the bear, and sometimes the bear, why, he eats you.", misc15);
		addPlayChat("larmy", "So we're all dog-faces. We're all very very different. But there is one thing that we all have in common - we were all stupid enough to enlist in the Army!", stripes16);





setPlayChatMenu("iRe-moveies3");
		addPlayChat("1license", "I'd like to see your driver's license and proof of insurance!", leth201);
		addPlayChat("2ok", "Ok, ok, ok.", leth209);
		addPlayTeamChat("3take two", "I'll take two of 'em out, you take one ... better yet, you take two, I'll take one.", leth213);
		addPlayChat("4jam", "your the jam in my jello roll", leth317);
		addPlayChat("5immunity", "Diplomatic immunity! (shot fired) It's just been revoked.", leth214);
		addPlayChat("6victims", "we have people being killed......", leth408);
		addPlayChat("7pale horse", "behold a pale horse", tomb02);
		addPlayTeamChat("8do something", "you going to do something or just stand there and BLEED", tomb10);
		addPlayChat("9deathtoll", "death toll", deathtoll);
		addPlayTeamChat("0landing", "begin landing your troops", landing);
		addPlayChat("aget out", "gottaget out of this place", gottagetout);



setPlayChatMenu("uRe-toons");
		addPlayChat("1taz", "What for you bury me in the cold, cold ground?", looney10);
		addPlayChat("2nope", "Aww, nope, nope. Aw gosh, don't wanna, no, no, shucks no! Uh, don't wanna do it.", looney14);
		addPlayChat("3lu-lu", "Watch out for that first step, Mac, it's a lu-lu!", bugs05);
		addPlayChat("4maroon", "What a maroon! Ha ha ha! What an ignoranimus!", bugs10);
		addPlayChat("5war", "Of course you know, this means war!", bugs14);
		addPlayTeamChat("6left turn", "I shoulda taken that left turn at Albuquerque!", bugs17);
		addPlayChat("7iggity", "Iggity-aggity-oop-eh-eh! Ziggity-zaggity-zoo-ah-ah! Oooh-ooh-phblt! Eh-eh-ah! Flippity-flappity-floop!", bugs18);
		addPlayChat("8stinker", "aint i a stinker", bugs20);
		addPlayChat("9worch", "I should have gone to Worchesterchesterchestershire!", bugs29);
		addPlayChat("0guard", "Ho! Ha ha! Guard! Turn! Parry! Dodge! Spin! Ha! Thrust!", daffy02);
		addPlayChat("awed one", "Nonononono! Not the WED one! Don't ever push the WED one!", daffy06);
		addPlayChat("bvest", "Little does he realize that I have on my disintegration-proof vest!", daffy09);
		addPlayChat("cstupor duck", "This is a job for... Stupor Duck!", daffy17);


// Commander Menu

function contextIssueCommand(%action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   setIssueCommand(%action, %msg);
}

// $CommandTarget can be one of:

// waypoint
// enemy vehicle
// enemy player
// enemy static
// enemy turret
// enemy sensor
// friendly vehicle
// friendly player
// friendly static
// friendly turret
// friendly sensor


function Commander::StarCommand(%type)
{
   if(%type == "*Attack")
   {
      if($CommandTarget == "enemy static")
			contextIssueCommand(1, "Destroy enemy equipment at waypoint", "attobj"); 
      else if($CommandTarget == "enemy turret")
			contextIssueCommand(1, "Destroy enemy turret at waypoint", "attobj"); 
      else if($CommandTarget == "enemy sensor")
			contextIssueCommand(1, "Destroy enemy sensor at waypoint", "attobj"); 
      else if($CommandTarget == "enemy player" || $CommandTarget == "enemy vehicle")
         contextIssueCommand(1, "Attack enemy " @ $CommandTargetName, "attway");
      else if($CommandTarget == "friendly player")
         contextIssueCommand(1, "Cover " @ $CommandTargetName, "escfr");
      else if($CommandTarget == "friendly vehicle")
         contextIssueCommand(1, "Board APC ", "boarda");
      else
         contextIssueCommand(1, "Attack enemy forces", "attway");
   }
   else if(%type == "*Defend")
   {
		if($CommandTarget == "friendly player")
		   contextIssueCommand(2, "Defend " @ $CommandTargetName, "escfr"); 
		else
		   contextIssueCommand(2, "Defend waypoint", "defway");
   }
   else if(%type == "*Repair")
   {
		if($CommandTarget == "friendly player")
		   contextIssueCommand(2, "Repair " @ $CommandTargetName, "repplyr"); 
		else
		   contextIssueCommand(2, "Repair " @ $CommandTargetName, "repobj");
   }
}

setCommanderChatMenu("");

   addCommand("aAttack", 1, "*Attack");
   addCommand("dDefend", 2, "*Defend");
   addCommand("rRepair", 3, "*Repair");

   setCommanderChatMenu("eDeploy");
		setCommanderChatMenu("eDeploy\\sSensor");
			addCommand("pPulse sensor", 2, "Deploy pulse sensor at waypoint", "deppuls");
			addCommand("jJammer", 2, "Deploy sensor jammer at waypoint", "depjamr");
			addCommand("mMotion sensor", 2, "Deploy motion sensor at waypoint", "depmot");
			addCommand("cCamera", 2, "Deploy camera at waypoint", "depcam");
		setCommanderChatMenu("eDeploy\\aObject");
			addCommand("aAmmo", 2, "Deploy Ammo Station", "depamo");
			addCommand("iInventory", 2, "Deploy Inventory Station", "depinv");
			addCommand("tTurret", 2, "Deploy Turret", "deptur");
			addCommand("bBeacon", 2, "Deploy beacon at waypoint", "depbecn");
		setCommanderChatMenu("eDeploy");
		addCommand("vA.P.C.", 2, "Pilot APC to waypoint", "pilot");

setCommanderChatMenu("kCommand Response");
	addCommandResponse("aAcknwledged", 1, "Command acknowledged", "acknow");
	addCommandResponse("cCompleted", 0, "Objective complete", "objcomp");
	addCommandResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");